package yem.base.common.module.iscb.helper;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.entity.ILocaleString;

/**
 * 接口登记实体
 * 
 * @description
 * @author longh
 * @date 2023年9月7日
 */
public class Api {
	private boolean exist;
	private DynamicObject dyObj;
	private String number;
	private ILocaleString name;
	private String httpmethod;
	private String url;

	public boolean isExist() {
		return exist;
	}

	public DynamicObject getDyObj() {
		return dyObj;
	}

	public String getNumber() {
		return number;
	}

	public ILocaleString getName() {
		return name;
	}

	public String getHttpmethod() {
		return httpmethod;
	}

	public String getUrl() {
		return url;
	}

	public Api(DynamicObject obj) {
		this.dyObj = obj;
		if (obj != null) {
			this.exist = true;
			this.number = obj.getString("number");
			this.name = obj.getLocaleString("name");
			this.httpmethod = obj.getString("yem_httpmethod");
			this.url = obj.getString("yem_url");
		}
	}
}
